#ifndef NODE_H
#define NODE_H

struct node {
  struct node *l, *r;
  int type;
  unsigned int count; //how many packets
  unsigned int size;  //total size from all packets
};

extern void change_screen_size();

struct node *get(struct node *n, int type);
struct node *new(struct node *n, int type);
unsigned long long countsump(struct node *n);
unsigned long long countsums(struct node *n);
//get an array of pointers to the largest n nodes
void largestn(struct node *r, struct node *a[], int n, unsigned char sort_type);
//delete the tree of nodes
void ndelete(struct node *r);


#endif
